Jump to content

Can't starting game in eclipse [Forge 1.8 latest version]


SteveKunG

Recommended Posts

[14:41:18] [main/INFO]: Extra: []

[14:41:18] [main/INFO]: Running with arguments: [--userProperties, {}, --accessToken, {REDACTED}, --assetIndex, 1.8, --assetsDir, C:/Documents and Settings/POOK/.gradle/caches/minecraft/assets, --version, 1.8, --tweakClass, net.minecraftforge.fml.common.launcher.FMLTweaker, --tweakClass, net.minecraftforge.gradle.GradleStartCommon$GradleStartTweaker]

[14:41:19] [main/INFO]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker

[14:41:19] [main/INFO]: Using primary tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker

[14:41:19] [main/INFO]: Loading tweak class name net.minecraftforge.gradle.GradleStartCommon$GradleStartTweaker

[14:41:19] [main/INFO]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLTweaker

[14:41:19] [main/INFO]: Forge Mod Loader version 8.0.12.1261 for Minecraft 1.8 loading

[14:41:19] [main/INFO]: Java is Java HotSpot Client VM, version 1.7.0_71, running on Windows XP:x86:5.1, installed at C:\Program Files\Java\jre7

[14:41:19] [main/INFO]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation

[14:41:19] [main/INFO]: Calling tweak class net.minecraftforge.gradle.GradleStartCommon$GradleStartTweaker

[14:41:19] [main/INFO]: Injecting location in coremod net.minecraftforge.fml.relauncher.FMLCorePlugin

[14:41:19] [main/INFO]: Injecting location in coremod net.minecraftforge.classloading.FMLForgePlugin

[14:41:19] [main/INFO]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker

[14:41:19] [main/INFO]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLDeobfTweaker

[14:41:19] [main/INFO]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker

[14:41:19] [main/INFO]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker

[14:41:19] [main/INFO]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper

[14:41:19] [main/ERROR]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!

[14:41:20] [main/ERROR]: FML appears to be missing any signature data. This is not a good thing

[14:41:20] [main/INFO]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper

[14:41:20] [main/INFO]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLDeobfTweaker

[14:41:20] [main/INFO]: Loading tweak class name net.minecraftforge.fml.common.launcher.TerminalTweaker

[14:41:20] [main/INFO]: Calling tweak class net.minecraftforge.fml.common.launcher.TerminalTweaker

[14:41:20] [main/INFO]: Launching wrapped minecraft {net.minecraft.client.main.Main}

[14:41:20] [main/ERROR]: Unable to launch

java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_71]

at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_71]

at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_71]

at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_71]

at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.11.jar:?]

at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.11.jar:?]

at net.minecraftforge.gradle.GradleStartCommon.launch(GradleStartCommon.java:78) [start/:?]

at GradleStart.main(GradleStart.java:45) [start/:?]

Caused by: java.lang.NoClassDefFoundError: net/minecraft/client/Minecraft

at net.minecraft.client.main.Main.main(SourceFile:40) ~[Main.class:?]

... 8 more

Caused by: java.lang.ClassNotFoundException: net.minecraft.client.Minecraft

at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191) ~[launchwrapper-1.11.jar:?]

at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]

at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]

at net.minecraft.client.main.Main.main(SourceFile:40) ~[Main.class:?]

... 8 more

Caused by: java.lang.ClassFormatError: Illegal class name "org.lwjgl.LWJGLException" in class file net/minecraft/client/Minecraft

at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_71]

at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]

at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]

at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:182) ~[launchwrapper-1.11.jar:?]

at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]

at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]

at net.minecraft.client.main.Main.main(SourceFile:40) ~[Main.class:?]

... 8 more

 

Please help! T_T

Link to comment
Share on other sites

Exactly the same problem on my machine. (forge-1.8-11.14.0.1268-1.8-src.zip)

 

Also something very similar happens when you just want to acquire some information via reflection (see

[1.8] ClassFormatError when loading class "net/minecraft/client/gui/GuiScreen")

Link to comment
Share on other sites

Something in your setup is non-standard.

And it is causing the exception information to be injected incorrectly.

A clean cache, and updated FG should work just fine.

If not you need to provide your exact setup

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

I tried running Minecraft Forge (in eclipse) again, on my old Windows XP computer this time, but with exactly the same result.

 

Environment:

  • Operating System: Windows XP 32bit
  • Java: jdk-7u71-windows-i586
  • Eclipse: Version 3.4.2
  • ForgeGradle: forge-1.8-11.14.0.1268-1.8-src

 

Out of curiosity, what are the exact versions of the java runtime environments Minecraft Forge (in eclipse) is known to start up correctly.

Link to comment
Share on other sites

I tried to run Minecraft Forge with the latest version of everything, but the error still occurs.

 

Environment:

  • Operating System: Windows 7 Professional SP1 64bit
  • Java JDK: jdk1.8.0_25 (64bit) (JAVA_HOME)
  • Java JRE: jre1.8.0_25 (64bit)
  • Eclipse: IDE for Java Developers - Luna Service Release 1 (4.4.1)
  • ForgeGradle: forge-1.8-11.14.0.1269-1.8-src

 

Procedure:

  • Delete folder "/AppData/.gradle"
  • Ensure JAVA_HOME is "C:\Program Files\Java\jdk1.8.0_25"[/i]
  • Unpack forge-1.8-11.14.0.1269-1.8-src.zip
  • Open Command promt in folder "forge-1.8-11.14.0.1269-1.8-src"
  • Execute "gradlew setupDevWorkspace"
  • Execute "gradlew eclipse"
  • Run eclipse
  • Switch workspace to "forge-1.8-11.14.0.1269-1.8-src\eclipse"
  • Select Run/Client
  • Error above shows up in eclipse console

Link to comment
Share on other sites

https://github.com/ModCoderPack/MCInjector/commit/6015659b0914a2f0ac966e8b24e16c1e6f7867ec

That should fix it, refresh everything and run again, thats really really odd.

Guess we found a 'bug' in Fernflower, it shouldn't decompile those classes correctly.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



  • Recently Browsing

    • No registered users viewing this page.
  • Posts

    • Wow this looks a lot simpler than I thought it would be. Especially compared to the setup I had to do for capabilities. I'll look at all this and update if I have any issues ty
    • Me and a group of friends were trying to get a modpack to work so we can play together. It works for everyone else, except me. At first when I tried to import the modpack, it said "invalid file" but it didn't with anyone else's. The owner of the modpack resent it several times and I still kept getting the same issue, so I opened the modlist and downloaded every single mod by hand. I thought that it would resolve the issue, but instead, it started saying "Forge Modloader Installation Failed" after I created a new installation, so I tried to use a pre-existing modpack, made sure it was the same version "1.20.1, forge version 47.3.0" and swap the mods there, but it still had the same issue, and now none of my modpacks are working at all. They all keep saying that the modloader installation failed. None of us have any idea what to do as we aren't the techiest people. Any help is appreciated. Thank you!
    • I don't think there's any documentation on them yet, I mainly just looked at the Vanilla code when implementing mine. You can see a fairly simple example here: Registration: https://github.com/Choonster-Minecraft-Mods/TestMod3/blob/f3bea10d5f455fa0904056caafd8c844b6fd13ae/src/main/java/choonster/testmod3/init/ModDataComponents.java#L50-L58 Item Registration: https://github.com/Choonster-Minecraft-Mods/TestMod3/blob/f3bea10d5f455fa0904056caafd8c844b6fd13ae/src/main/java/choonster/testmod3/init/ModItems.java#L264-L266 Usage: https://github.com/Choonster-Minecraft-Mods/TestMod3/blob/f3bea10d5f455fa0904056caafd8c844b6fd13ae/src/main/java/choonster/testmod3/world/item/EntityCheckerItem.java
    • Okay, I'm glad I made a backup then. I'm confused as to where there is any information on how to work with Data Components. I don't see anything about it on the Forge docs or any tutorials on this in general unless I'm missing it somehow. I can see the DataComponents decompiled class file but I'm not sure how to work with it. Maybe it's beyond my technical expertise?
    • The situation is the same in 1.20.6. Data Components were introduced in 1.20.5/1.20.6 and Item Capabilities haven't been re-implemented since then.
  • Topics

  • Who's Online (See full list)

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.